---
search:
  tags:
    - Merchant Registry
    - PATCH
seo:
  description: >-
    Human owner only. Domain is immutable. An active offer prevents removal of…
    Reference for the PATCH /v1/merchants/{id} endpoint in the agentsub Gateway
    API.
sidebar:
  label: Update owned merchant name and categories
  badge: PATCH
title: Update owned merchant name and categories
type: openapi-operation
---
Human owner only. Domain is immutable. An active offer prevents removal of its category. Idempotency is required.

`PATCH /v1/merchants/{id}`

**Request body** (`application/json`, required)

- `name` (string)
- `categories` (string[])

Request body example:

```json
{
  "name": "string",
  "categories": [
    "string"
  ]
}
```

**Responses**

- `200` — Updated merchant
- `400` — Invalid settings or domain edit attempted
- `403` — Identity, ownership, scope or policy denied (\`human\_required\`, \`owner\_claim\_required\`, \`scope\_required\`, \`FROZEN\`, \`CAP\_EXCEEDED\`, \`SCOPE\_FORBIDDEN\`)
- `409` — Category in use or idempotency conflict

Response example, 200:

```json
{
  "merchant": {
    "id": "string",
    "ownerId": "string",
    "name": "string",
    "domain": "string",
    "verificationChallenge": "string",
    "verified": true,
    "acceptedPaymentMethods": [
      "string"
    ],
    "webhookUrl": "string"
  }
}
```
